use std::{env, fs::File, io::Write, path::PathBuf};

fn main() {
    let dest: PathBuf = env::var("OUT_DIR").unwrap().into();
    let mut file = File::create(dest.join("primes.rs")).unwrap();

    write_primes(&mut file).unwrap();
}

fn write_primes(file: &mut File) -> std::io::Result<()> {
    write!(file, "[")?;
    let sieve = primal::Sieve::new(7919);
    for p in sieve.primes_from(2).take_while(|x| *x <= 7919) {
        write!(file, "{p},")?;
    }
    write!(file, "]")
}
